/*
* Copyright (C) 1995   Template Graphics Software, Inc.
_______________________________________________________________________
_________________  TEMPLATE GRAPHICS SOFTWARE INC.  ___________________
|
|
|	This class provides methods to process messages directed to the
|   frame window.
|
|   Author(s): James R. Gambale, Jr.
|
_________________  TEMPLATE GRAPHICS SOFTWARE INC.  ___________________
_______________________________________________________________________
*/

#ifndef __CIVFMAINFRM_H__
#define __CIVFMAINFRM_H__

class CIvfView ;

class CIvfMainFrame 
{
protected: 
	CIvfMainFrame();
	~CIvfMainFrame();

public:
	
	// This method routes messages to viewer dialogs as needed.
	// If the message was processed TRUE is returned, 
	// FALSE otherwise.
	BOOL IvfPreTranslateMessage(MSG* pMsg);

	// This method routes command messages to the IVF viewer
	// class.  If the command is processed, TRUE is returned
	// FALSE otherwise.
	BOOL IvfOnCommand(WPARAM wParam, LPARAM lParam);

	// This method passes query palette messages to the SoWin
	// component library.
	BOOL IvfOnQueryNewPalette();

	// This method passes palette changed messages to the SoWin
	// component library.
	void IvfOnPaletteChanged(CWnd* pFocusWnd);

	// This method sets the initial size of the application frame
	// window.
	BOOL IvfPreCreateWindow(CREATESTRUCT& cs,UINT cx,UINT cy) ;

	// This method sets the window text for the application frame
	// window.  If the window text is set, this method returns
	// TRUE, otherwise FALSE is returned.
	BOOL IvfOnUpdateFrameTitle(BOOL bAddToTitle,CString &strTitle) ;

};

#endif
